org.springframework.data.web.config

## Class SpringDataWebConfiguration

- java.lang.Object
- - org.springframework.data.web.config.SpringDataWebConfiguration

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, WebMvcConfigurer

Direct Known Subclasses:
  HateoasAwareSpringDataWebConfiguration

    @Configuration(proxyBeanMethods=false)
    public class SpringDataWebConfiguration
    extends Object
    implements WebMvcConfigurer, BeanClassLoaderAware

Configuration class to register `PageableHandlerMethodArgumentResolver`, `SortHandlerMethodArgumentResolver` and `DomainClassConverter`.

Since:
  1.6
Author:
  Oliver Gierke, Vedran Pavic, Jens Schauder, Mark Paluch, Greg Turnquist

### Constructor Summary

Constructors
Constructor and Description
`SpringDataWebConfiguration(ApplicationContext context, ObjectFactory<ConversionService> conversionService)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers)`
`void` `addFormatters(FormatterRegistry registry)`
`protected void` `customizePageableResolver(PageableHandlerMethodArgumentResolver pageableResolver)`
`protected void` `customizeSortResolver(SortHandlerMethodArgumentResolver sortResolver)`
`void` `extendMessageConverters(List<HttpMessageConverter<?>> converters)`
`PageableHandlerMethodArgumentResolver` `pageableResolver()`
`void` `setBeanClassLoader(ClassLoader classLoader)`
`SortHandlerMethodArgumentResolver` `sortResolver()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.config.annotation.WebMvcConfigurer

`addCorsMappings, addInterceptors, addResourceHandlers, addReturnValueHandlers, addViewControllers, configureAsyncSupport, configureContentNegotiation, configureDefaultServletHandling, configureHandlerExceptionResolvers, configureMessageConverters, configurePathMatch, configureViewResolvers, extendHandlerExceptionResolvers, getMessageCodesResolver, getValidator`

### Constructor Detail

#### SpringDataWebConfiguration

    public SpringDataWebConfiguration(ApplicationContext context,
                                      @Qualifier(value="mvcConversionService")
                                      ObjectFactory<ConversionService> conversionService)

### Method Detail

#### setBeanClassLoader

    public void setBeanClassLoader(ClassLoader classLoader)

Specified by:
  `setBeanClassLoader` in interface `BeanClassLoaderAware`

#### pageableResolver

    @Bean
    public PageableHandlerMethodArgumentResolver pageableResolver()

#### sortResolver

    @Bean
    public SortHandlerMethodArgumentResolver sortResolver()

#### addFormatters

    public void addFormatters(FormatterRegistry registry)

Specified by:
  `addFormatters` in interface `WebMvcConfigurer`

#### addArgumentResolvers

    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers)

Specified by:
  `addArgumentResolvers` in interface `WebMvcConfigurer`

#### extendMessageConverters

    public void extendMessageConverters(List<HttpMessageConverter<?>> converters)

Specified by:
  `extendMessageConverters` in interface `WebMvcConfigurer`

#### customizePageableResolver

    protected void customizePageableResolver(PageableHandlerMethodArgumentResolver pageableResolver)

#### customizeSortResolver

    protected void customizeSortResolver(SortHandlerMethodArgumentResolver sortResolver)